body {
    font-family: 'Comic Sans MS', sans-serif;
    text-align: center;
    padding: 10px;
    background-color: #f0f8ff;
    margin: 0;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

h1 {
    color: #ff6347;
    font-size: 2.5em;
    margin: 0;
}

#problem {
    font-size: 2em;
    color: #ff4500;
    margin-bottom: 20px;
}

.number-icons {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
    margin-bottom: 20px;
    max-width: 300px;
}

.number-icon {
    width: 70px;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #32cd32;
    color: white;
    font-size: 20px;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s, transform 0.3s;
}

.number-icon:hover {
    background-color: #228b22;
}

.number-icon:active {
    transform: scale(1.1);
}

.buttons {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
    margin-bottom: 20px;
}

button {
    padding: 10px 20px;
    font-size: 1em;
    color: white;
    background-color: #1e90ff;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    transition: background-color 0.3s;
}

button:hover {
    background-color: #1c86ee;
}

#score-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

#score, #high-score {
    font-size: 1.5em;
    color: #4682b4;
}

@media (max-width: 600px) {
    .number-icon {
        width: 70px;
        height: 70px;
        font-size: 20px;
    }

    button {
        padding: 8px 16px;
        font-size: 0.9em;
    }

    h1 {
        font-size: 2em;
    }

    #problem {
        font-size: 1.5em;
    }

    #score, #high-score {
        font-size: 1.2em;
    }
}

@media (max-width: 400px) {
    .number-icon {
        width: 70px;
        height: 70px;
        font-size: 20px;
    }

    button {
        padding: 6px 12px;
        font-size: 0.8em;
    }

    h1 {
        font-size: 1.8em;
    }

    #problem {
        font-size: 1.2em;
    }

    #score, #high-score {
        font-size: 1em;
    }
}
